<?php


namespace OTP\Helper;

if (defined("\x41\x42\x53\x50\101\124\x48")) {
    goto Mu;
}
die;
Mu:
use OTP\MoOTP;
use OTP\Objects\PluginPageDetails;
use OTP\Objects\TabDetails;
use OTP\Traits\Instance;
final class MenuItems
{
    use Instance;
    private $_callback;
    private $_menuSlug;
    private $_menuLogo;
    private $_tabDetails;
    private function __construct()
    {
        $this->_callback = array(MoOTP::instance(), "\155\157\x5f\143\165\x73\164\157\x6d\x65\x72\x5f\x76\x61\x6c\151\144\141\x74\151\x6f\x6e\x5f\x6f\x70\164\151\x6f\156\163");
        $this->_menuLogo = MOV_ICON;
        $g1 = TabDetails::instance();
        $this->_tabDetails = $g1->_tabDetails;
        $this->_menuSlug = $g1->_parentSlug;
        $this->addMainMenu();
        $this->addSubMenus();
    }
    private function addMainMenu()
    {
        add_menu_page("\x4f\124\x50\x20\x56\x65\x72\x69\x66\151\x63\141\x74\x69\x6f\x6e", "\x4f\124\120\x20\x56\145\x72\x69\146\151\x63\x61\164\x69\157\x6e", "\155\141\x6e\x61\147\145\137\x6f\x70\164\x69\x6f\x6e\x73", $this->_menuSlug, $this->_callback, $this->_menuLogo);
    }
    private function addSubMenus()
    {
        foreach ($this->_tabDetails as $i3) {
            add_submenu_page($this->_menuSlug, $i3->_pageTitle, $i3->_menuTitle, "\x6d\x61\156\141\147\x65\137\157\x70\x74\151\157\x6e\163", $i3->_menuSlug, $this->_callback);
            KH:
        }
        LC:
    }
}
